MaskGeneratingFunction Class Referenceabstract

Mask generation function interface. More...

Inheritance diagram for MaskGeneratingFunction:

## Public Member Functions

virtual void | GenerateAndMask (HashTransformation &hash, byte *output, size_t outputLength, const byte *input, size_t inputLength, bool mask=true) const =0
| Generate and apply mask. More...

## Detailed Description

Mask generation function interface.

See also
  P1363_KDF2, P1363_MGF1

Since
  Crypto++ 2.0

Definition at line 687 of file pubkey.h.

## Member Function Documentation

## GenerateAndMask()

virtual void MaskGeneratingFunction::GenerateAndMask | ( | HashTransformation & | hash,
|  | byte * | output,
|  | size_t | outputLength,
|  | const byte * | input,
|  | size_t | inputLength,
|  | bool | mask = `true`
| ) |  | const

pure virtual

Generate and apply mask.

Parameters

  hash | HashTransformation derived class
  output | the destination byte array
  outputLength | the size of the destination byte array
  input | the message to hash
  inputLength | the size of the message
  mask | flag indicating whether to apply the mask

Implemented in P1363_MGF1.

The documentation for this class was generated from the following file:

- pubkey.h